| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::archive_options_create Class Reference
API

class holding optional parameters used to create an archive More...

`#include <archive_options.hpp>`

## Public Member Functions
| archive_options_create (const archive_options_create &ref)
| archive_options_create (archive_options_create &&ref) noexcept
archive_options_create & | operator= (const archive_options_create &ref)
archive_options_create & | operator= (archive_options_create &&ref) noexcept
void | clear ()
| reset all the options to their default values
void | set_reference (std::shared_ptr< archive > ref_arch)
| set the archive to take as reference (nullptr for a full backup)
void | set_selection (const mask &selection)
| defines the filenames to only save (except directory) as those that match the given mask
void | set_subtree (const mask &subtree)
| defines the directories and files to consider
void | set_allow_over (bool allow_over)
| defines whether overwritting is allowed or not
void | set_warn_over (bool warn_over)
| defines whether a warning shall be issued before overwriting
void | set_info_details (bool info_details)
| defines whether the user needs detailed output of the operation
void | set_display_treated (bool display_treated, bool only_dir)
| defines whether to show treated files
void | set_display_skipped (bool display_skipped)
| whether to display files that have been excluded by filters
void | set_display_finished (bool display_finished)
| whether to display a summary for each completed directory with total saved data and compression ratio
void | set_pause (const infinint &pause)
| set a pause beteween slices. Set to zero does not pause at all, set to 1 makes libdar pauses each slice, set to 2 makes libdar pause each 2 slices and so on.
void | set_empty_dir (bool empty_dir)
| defines whether we need to store ignored directories as empty
void | set_compression (compression compr_algo)
| set the compression algorithm to be used
void | set_compression_level (U_I compression_level)
| set the compression level (from 1 to 9)
void | set_compression_block_size (U_I compression_block_size)
| set the compression block size
void | set_slicing (const infinint &file_size, const infinint &first_file_size=0)
| define the archive slicing
void | set_ea_mask (const mask &ea_mask)
| defines which Extended Attributes to save
void | set_execute (const std::string &execute)
| set the command to execute after each slice creation
void | set_crypto_algo (crypto_algo crypto)
| set the cypher to use
void | set_crypto_pass (const secu_string &pass)
void | set_crypto_size (U_32 crypto_size)
| set the size of the encryption by block to use
void | set_gnupg_recipients (const std::vector< std::string > &gnupg_recipients)
| set the list of recipients that will be able to read the archive
void | set_gnupg_signatories (const std::vector< std::string > &gnupg_signatories)
void | set_compr_mask (const mask &compr_mask)
| defines files to compress
void | set_min_compr_size (const infinint &min_compr_size)
| defines file size under which to never compress
void | set_nodump (bool nodump)
| defines whether to ignore files with the nodump flag set
void | set_exclude_by_ea (const std::string &ea_name)
void | set_what_to_check (comparison_fields what_to_check)
| set the fields to consider when comparing inodes with reference archive (see comparison_fields enumeration in catalogue.hpp)
void | set_hourshift (const infinint &hourshift)
| ignore differences of at most this integer number of hours while looking for changes in dates
void | set_empty (bool empty)
| whether to make a dry-run operation
void | set_alter_atime (bool alter_atime)
| whether to alter atime or ctime in the filesystem when reading files to save
void | set_furtive_read_mode (bool furtive_read)
| whether to use furtive read mode (if activated, alter_atime() has no meaning/use)
void | set_same_fs (bool same_fs)
| whether to limit the backup to files located on the same filesystem as the directory taken as root of the backup
void | set_same_fs_include (const std::string &included_path_to_fs)
| files on the filesystem pointed to by the given path will be considered for the backup operation if not excluded by set_same_fs_exclude()
void | set_same_fs_exclude (const std::string &excluded_path_to_fs)
| files on the filesystem pointed to by the given path will not be considered for backup operation
void | set_snapshot (bool snapshot)
| whether to make an emtpy archive only referencing the current state of files in the filesystem
void | set_cache_directory_tagging (bool cache_directory_tagging)
| whether to consider the Cache Directory Tagging Standard
void | set_fixed_date (const infinint &fixed_date)
| whether to ignore any archive of reference and only save file which modification is more recent that the given "fixed_date". To not use this feature set fixed_date value of zero (which is the value by default)
void | set_slice_permission (const std::string &slice_permission)
| if not an empty string set the slice permission according to the octal value given.
void | set_slice_user_ownership (const std::string &slice_user_ownership)
| if not an empty string set the user ownership of slices accordingly
void | set_slice_group_ownership (const std::string &slice_group_ownership)
| if not an empty string set the group ownership of slices accordingly
void | set_retry_on_change (const infinint &count_max_per_file, const infinint &global_max_byte_overhead=0)
| how much time to retry saving a file if it changed while being read
void | set_sequential_marks (bool sequential)
| whether to add escape sequence aka tape marks to allow sequential reading of the archive
void | set_sparse_file_min_size (const infinint &size)
| whether to try to detect sparse files
void | set_security_check (bool check)
| whether to check for ctime changes since with the archive of reference
void | set_user_comment (const std::string &comment)
| specify a user comment in the archive (always in clear text!)
void | set_hash_algo (hash_algo hash)
| specify whether to produce a hash file of the slice and which hash algo to use
void | set_slice_min_digits (infinint val)
| defines the minimum digit a slice must have concerning its number, zeros will be prepended as much as necessary to respect this
void | set_backup_hook (const std::string &execute, const mask &which_files)
| defines the backup hook for files
void | set_ignore_unknown_inode_type (bool val)
| whether to ignore unknown inode types instead of issuing a warning
void | set_entrepot (const std::shared_ptr< entrepot > &entr)
| defines the protocol to use for slices
void | set_fsa_scope (const fsa_scope &scope)
| defines the FSA (Filesystem Specific Attribute) to only consider (by default all FSA activated at compilation time are considered)
void | set_multi_threaded (bool val)
| whether libdar is allowed to spawn several threads to possibily work faster on multicore CPU (requires libthreadar)
void | set_multi_threaded_crypto (U_I num)
| how much thread libdar will use for cryptography (need libthreadar to be effective)
void | set_multi_threaded_compress (U_I num)
| how much thread libdar will use for compression (need libthreadar too and compression_block_size > 0)
void | set_delta_diff (bool val)
| whether binary delta has to be computed for differential/incremental backup
void | set_delta_signature (bool val)
| whether signature to base binary delta on the future has to be calculated and stored beside saved files
void | set_delta_mask (const mask &delta_mask)
| whether to derogate to defaut delta file consideration while calculation delta signatures
void | set_delta_sig_min_size (const infinint &val)
| whether to never calculate delta signature for files which size is smaller or equal to the given argument
void | set_auto_zeroing_neg_dates (bool val)
| whether to automatically zeroing negative dates read from the filesystem (just warn, don't ask whether to pursue)
void | set_ignored_as_symlink (const std::set< std::string > &list)
| provide a list of full path which if are symlinks will be considered as the inode they point to
void | set_modified_data_detection (modified_data_detection val)
| defines when to resave a file's data which inode metadata changed
void | set_iteration_count (const infinint &val)
| key derivation
void | set_kdf_hash (hash_algo algo)
| hash algo used for key derivation
void | set_sig_block_len (delta_sig_block_size val)
| block size to use to build delta signatures
std::shared_ptr< archive > | get_reference () const
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_allow_over () const
bool | get_warn_over () const
bool | get_info_details () const
bool | get_display_treated () const
bool | get_display_treated_only_dir () const
bool | get_display_skipped () const
bool | get_display_finished () const
const infinint & | get_pause () const
bool | get_empty_dir () const
compression | get_compression () const
U_I | get_compression_level () const
U_I | get_compression_block_size () const
const infinint & | get_slice_size () const
const infinint & | get_first_slice_size () const
const mask & | get_ea_mask () const
const std::string & | get_execute () const
crypto_algo | get_crypto_algo () const
const secu_string & | get_crypto_pass () const
U_32 | get_crypto_size () const
const std::vector< std::string > & | get_gnupg_recipients () const
const std::vector< std::string > & | get_gnupg_signatories () const
const mask & | get_compr_mask () const
const infinint & | get_min_compr_size () const
bool | get_nodump () const
const std::string & | get_exclude_by_ea () const
comparison_fields | get_comparison_fields () const
const infinint & | get_hourshift () const
bool | get_empty () const
bool | get_alter_atime () const
bool | get_furtive_read_mode () const
bool | get_same_fs () const
std::deque< std::string > | get_same_fs_include () const
std::deque< std::string > | get_same_fs_exclude () const
bool | get_snapshot () const
bool | get_cache_directory_tagging () const
const infinint & | get_fixed_date () const
const std::string & | get_slice_permission () const
const std::string & | get_slice_user_ownership () const
const std::string & | get_slice_group_ownership () const
const infinint & | get_repeat_count () const
const infinint & | get_repeat_byte () const
bool | get_sequential_marks () const
infinint | get_sparse_file_min_size () const
bool | get_security_check () const
const std::string & | get_user_comment () const
hash_algo | get_hash_algo () const
infinint | get_slice_min_digits () const
const std::string & | get_backup_hook_file_execute () const
const mask & | get_backup_hook_file_mask () const
bool | get_ignore_unknown_inode_type () const
const std::shared_ptr< entrepot > & | get_entrepot () const
const fsa_scope & | get_fsa_scope () const
U_I | get_multi_threaded_crypto () const
U_I | get_multi_threaded_compress () const
bool | get_delta_diff () const
bool | get_delta_signature () const
const mask & | get_delta_mask () const
bool | get_has_delta_mask_been_set () const
const infinint & | get_delta_sig_min_size () const
bool | get_auto_zeroing_neg_dates () const
const std::set< std::string > & | get_ignored_as_symlink () const
modified_data_detection | get_modified_data_detection () const
const infinint & | get_iteration_count () const
hash_algo | get_kdf_hash () const
delta_sig_block_size | get_sig_block_len () const

## Private Member Functions
void | nullifyptr () noexcept
void | destroy () noexcept
void | copy_from (const archive_options_create &ref)
void | move_from (archive_options_create &&ref) noexcept
void | destroy_mask (mask *&ptr)
void | clean_mask (mask *&ptr)
void | check_mask (const mask &m)

## Private Attributes
std::shared_ptr< archive > | x_ref_arch
| just contains the address of an existing object, no local copy of object is done here
mask * | x_selection
| points to a local copy of mask (must be allocated / releases by the archive_option_create object)
mask * | x_subtree
| points to a local copy of mask (must be allocated / releases by the archive_option_create objects)
bool | x_allow_over
bool | x_warn_over
bool | x_info_details
bool | x_display_treated
bool | x_display_treated_only_dir
bool | x_display_skipped
bool | x_display_finished
infinint | x_pause
bool | x_empty_dir
compression | x_compr_algo
U_I | x_compression_level
U_I | x_compression_block_size
infinint | x_file_size
infinint | x_first_file_size
mask * | x_ea_mask
| points to a local copy of mask (must be allocated / releases by the archive_option_create objects)
std::string | x_execute
crypto_algo | x_crypto
secu_string | x_pass
U_32 | x_crypto_size
std::vector< std::string > | x_gnupg_recipients
std::vector< std::string > | x_gnupg_signatories
mask * | x_compr_mask
| points to a local copy of mask (must be allocated / releases by the archive_option_create objects)
infinint | x_min_compr_size
bool | x_nodump
std::string | exclude_by_ea
comparison_fields | x_what_to_check
infinint | x_hourshift
bool | x_empty
bool | x_alter_atime
bool | x_old_alter_atime
| used to backup origina alter_atime value when activating furtive read mode
bool | x_furtive_read
bool | x_same_fs
std::deque< std::string > | x_same_fs_include
std::deque< std::string > | x_same_fs_exclude
bool | x_snapshot
bool | x_cache_directory_tagging
infinint | x_fixed_date
std::string | x_slice_permission
std::string | x_slice_user_ownership
std::string | x_slice_group_ownership
infinint | x_repeat_count
infinint | x_repeat_byte
bool | x_sequential_marks
infinint | x_sparse_file_min_size
bool | x_security_check
std::string | x_user_comment
hash_algo | x_hash
infinint | x_slice_min_digits
mask * | x_backup_hook_file_mask
std::string | x_backup_hook_file_execute
bool | x_ignore_unknown
std::shared_ptr< entrepot > | x_entrepot
fsa_scope | x_scope
U_I | x_multi_threaded_crypto
U_I | x_multi_threaded_compress
bool | x_delta_diff
bool | x_delta_signature
mask * | x_delta_mask
bool | has_delta_mask_been_set
infinint | x_delta_sig_min_size
bool | x_auto_zeroing_neg_dates
std::set< std::string > | x_ignored_as_symlink
modified_data_detection | x_modified_data_detection
infinint | x_iteration_count
hash_algo | x_kdf_hash
delta_sig_block_size | x_sig_block_len

## Detailed Description

class holding optional parameters used to create an archive

Definition at line 287 of file archive_options.hpp.

## Constructor & Destructor Documentation

## ◆ archive_options_create()

libdar::archive_options_create::archive_options_create | ( | archive_options_create && | ref | ) |
| inline noexcept

Definition at line 294 of file archive_options.hpp.

## ◆ ~archive_options_create()

libdar::archive_options_create::~archive_options_create | ( |  | ) |
| inline

Definition at line 297 of file archive_options.hpp.

## Member Function Documentation

## ◆ get_allow_over()

bool libdar::archive_options_create::get_allow_over | ( |  | ) | const
| inline

Definition at line 600 of file archive_options.hpp.

## ◆ get_alter_atime()

bool libdar::archive_options_create::get_alter_atime | ( |  | ) | const
| inline

Definition at line 628 of file archive_options.hpp.

## ◆ get_auto_zeroing_neg_dates()

bool libdar::archive_options_create::get_auto_zeroing_neg_dates | ( |  | ) | const
| inline

Definition at line 659 of file archive_options.hpp.

## ◆ get_backup_hook_file_execute()

const std::string & libdar::archive_options_create::get_backup_hook_file_execute | ( |  | ) | const
| inline

Definition at line 647 of file archive_options.hpp.

## ◆ get_backup_hook_file_mask()

const mask & libdar::archive_options_create::get_backup_hook_file_mask | ( |  | ) | const
| inline

Definition at line 648 of file archive_options.hpp.

## ◆ get_cache_directory_tagging()

bool libdar::archive_options_create::get_cache_directory_tagging | ( |  | ) | const
| inline

Definition at line 634 of file archive_options.hpp.

## ◆ get_comparison_fields()

comparison_fields libdar::archive_options_create::get_comparison_fields | ( |  | ) | const
| inline

Definition at line 625 of file archive_options.hpp.

## ◆ get_compr_mask()

const mask & libdar::archive_options_create::get_compr_mask | ( |  | ) | const
| inline

Definition at line 621 of file archive_options.hpp.

## ◆ get_compression()

compression libdar::archive_options_create::get_compression | ( |  | ) | const
| inline

Definition at line 609 of file archive_options.hpp.

## ◆ get_compression_block_size()

U_I libdar::archive_options_create::get_compression_block_size | ( |  | ) | const
| inline

Definition at line 611 of file archive_options.hpp.

## ◆ get_compression_level()

U_I libdar::archive_options_create::get_compression_level | ( |  | ) | const
| inline

Definition at line 610 of file archive_options.hpp.

## ◆ get_crypto_algo()

crypto_algo libdar::archive_options_create::get_crypto_algo | ( |  | ) | const
| inline

Definition at line 616 of file archive_options.hpp.

## ◆ get_crypto_pass()

const secu_string & libdar::archive_options_create::get_crypto_pass | ( |  | ) | const
| inline

Definition at line 617 of file archive_options.hpp.

## ◆ get_crypto_size()

U_32 libdar::archive_options_create::get_crypto_size | ( |  | ) | const
| inline

Definition at line 618 of file archive_options.hpp.

## ◆ get_delta_diff()

bool libdar::archive_options_create::get_delta_diff | ( |  | ) | const
| inline

Definition at line 654 of file archive_options.hpp.

## ◆ get_delta_mask()

const mask & libdar::archive_options_create::get_delta_mask | ( |  | ) | const
| inline

Definition at line 656 of file archive_options.hpp.

## ◆ get_delta_sig_min_size()

const infinint & libdar::archive_options_create::get_delta_sig_min_size | ( |  | ) | const
| inline

Definition at line 658 of file archive_options.hpp.

## ◆ get_delta_signature()

bool libdar::archive_options_create::get_delta_signature | ( |  | ) | const
| inline

Definition at line 655 of file archive_options.hpp.

## ◆ get_display_finished()

bool libdar::archive_options_create::get_display_finished | ( |  | ) | const
| inline

Definition at line 606 of file archive_options.hpp.

## ◆ get_display_skipped()

bool libdar::archive_options_create::get_display_skipped | ( |  | ) | const
| inline

Definition at line 605 of file archive_options.hpp.

## ◆ get_display_treated()

bool libdar::archive_options_create::get_display_treated | ( |  | ) | const
| inline

Definition at line 603 of file archive_options.hpp.

## ◆ get_display_treated_only_dir()

bool libdar::archive_options_create::get_display_treated_only_dir | ( |  | ) | const
| inline

Definition at line 604 of file archive_options.hpp.

## ◆ get_ea_mask()

const mask & libdar::archive_options_create::get_ea_mask | ( |  | ) | const
| inline

Definition at line 614 of file archive_options.hpp.

## ◆ get_empty()

bool libdar::archive_options_create::get_empty | ( |  | ) | const
| inline

Definition at line 627 of file archive_options.hpp.

## ◆ get_empty_dir()

bool libdar::archive_options_create::get_empty_dir | ( |  | ) | const
| inline

Definition at line 608 of file archive_options.hpp.

## ◆ get_entrepot()

const std::shared_ptr< entrepot > & libdar::archive_options_create::get_entrepot | ( |  | ) | const
| inline

Definition at line 650 of file archive_options.hpp.

## ◆ get_exclude_by_ea()

const std::string & libdar::archive_options_create::get_exclude_by_ea | ( |  | ) | const
| inline

Definition at line 624 of file archive_options.hpp.

## ◆ get_execute()

const std::string & libdar::archive_options_create::get_execute | ( |  | ) | const
| inline

Definition at line 615 of file archive_options.hpp.

## ◆ get_first_slice_size()

const infinint & libdar::archive_options_create::get_first_slice_size | ( |  | ) | const
| inline

Definition at line 613 of file archive_options.hpp.

## ◆ get_fixed_date()

const infinint & libdar::archive_options_create::get_fixed_date | ( |  | ) | const
| inline

Definition at line 635 of file archive_options.hpp.

## ◆ get_fsa_scope()

const fsa_scope & libdar::archive_options_create::get_fsa_scope | ( |  | ) | const
| inline

Definition at line 651 of file archive_options.hpp.

## ◆ get_furtive_read_mode()

bool libdar::archive_options_create::get_furtive_read_mode | ( |  | ) | const
| inline

Definition at line 629 of file archive_options.hpp.

## ◆ get_gnupg_recipients()

const std::vector< std::string > & libdar::archive_options_create::get_gnupg_recipients | ( |  | ) | const
| inline

Definition at line 619 of file archive_options.hpp.

## ◆ get_gnupg_signatories()

const std::vector< std::string > & libdar::archive_options_create::get_gnupg_signatories | ( |  | ) | const
| inline

Definition at line 620 of file archive_options.hpp.

## ◆ get_has_delta_mask_been_set()

bool libdar::archive_options_create::get_has_delta_mask_been_set | ( |  | ) | const
| inline

Definition at line 657 of file archive_options.hpp.

## ◆ get_hash_algo()

hash_algo libdar::archive_options_create::get_hash_algo | ( |  | ) | const
| inline

Definition at line 645 of file archive_options.hpp.

## ◆ get_hourshift()

const infinint & libdar::archive_options_create::get_hourshift | ( |  | ) | const
| inline

Definition at line 626 of file archive_options.hpp.

## ◆ get_ignore_unknown_inode_type()

bool libdar::archive_options_create::get_ignore_unknown_inode_type | ( |  | ) | const
| inline

Definition at line 649 of file archive_options.hpp.

## ◆ get_ignored_as_symlink()

const std::set< std::string > & libdar::archive_options_create::get_ignored_as_symlink | ( |  | ) | const
| inline

Definition at line 660 of file archive_options.hpp.

## ◆ get_info_details()

bool libdar::archive_options_create::get_info_details | ( |  | ) | const
| inline

Definition at line 602 of file archive_options.hpp.

## ◆ get_iteration_count()

const infinint & libdar::archive_options_create::get_iteration_count | ( |  | ) | const
| inline

Definition at line 662 of file archive_options.hpp.

## ◆ get_kdf_hash()

hash_algo libdar::archive_options_create::get_kdf_hash | ( |  | ) | const
| inline

Definition at line 663 of file archive_options.hpp.

## ◆ get_min_compr_size()

const infinint & libdar::archive_options_create::get_min_compr_size | ( |  | ) | const
| inline

Definition at line 622 of file archive_options.hpp.

## ◆ get_modified_data_detection()

modified_data_detection libdar::archive_options_create::get_modified_data_detection | ( |  | ) | const
| inline

Definition at line 661 of file archive_options.hpp.

## ◆ get_multi_threaded_compress()

U_I libdar::archive_options_create::get_multi_threaded_compress | ( |  | ) | const
| inline

Definition at line 653 of file archive_options.hpp.

## ◆ get_multi_threaded_crypto()

U_I libdar::archive_options_create::get_multi_threaded_crypto | ( |  | ) | const
| inline

Definition at line 652 of file archive_options.hpp.

## ◆ get_nodump()

bool libdar::archive_options_create::get_nodump | ( |  | ) | const
| inline

Definition at line 623 of file archive_options.hpp.

## ◆ get_pause()

const infinint & libdar::archive_options_create::get_pause | ( |  | ) | const
| inline

Definition at line 607 of file archive_options.hpp.

## ◆ get_reference()

std::shared_ptr< archive > libdar::archive_options_create::get_reference | ( |  | ) | const
| inline

Definition at line 597 of file archive_options.hpp.

## ◆ get_repeat_byte()

const infinint & libdar::archive_options_create::get_repeat_byte | ( |  | ) | const
| inline

Definition at line 640 of file archive_options.hpp.

## ◆ get_repeat_count()

const infinint & libdar::archive_options_create::get_repeat_count | ( |  | ) | const
| inline

Definition at line 639 of file archive_options.hpp.

## ◆ get_same_fs()

bool libdar::archive_options_create::get_same_fs | ( |  | ) | const
| inline

Definition at line 630 of file archive_options.hpp.

## ◆ get_same_fs_exclude()

std::deque< std::string > libdar::archive_options_create::get_same_fs_exclude | ( |  | ) | const
| inline

Definition at line 632 of file archive_options.hpp.

## ◆ get_same_fs_include()

std::deque< std::string > libdar::archive_options_create::get_same_fs_include | ( |  | ) | const
| inline

Definition at line 631 of file archive_options.hpp.

## ◆ get_security_check()

bool libdar::archive_options_create::get_security_check | ( |  | ) | const
| inline

Definition at line 643 of file archive_options.hpp.

## ◆ get_selection()

const mask & libdar::archive_options_create::get_selection | ( |  | ) | const
| inline

Definition at line 598 of file archive_options.hpp.

## ◆ get_sequential_marks()

bool libdar::archive_options_create::get_sequential_marks | ( |  | ) | const
| inline

Definition at line 641 of file archive_options.hpp.

## ◆ get_sig_block_len()

delta_sig_block_size libdar::archive_options_create::get_sig_block_len | ( |  | ) | const
| inline

Definition at line 664 of file archive_options.hpp.

## ◆ get_slice_group_ownership()

const std::string & libdar::archive_options_create::get_slice_group_ownership | ( |  | ) | const
| inline

Definition at line 638 of file archive_options.hpp.

## ◆ get_slice_min_digits()

infinint libdar::archive_options_create::get_slice_min_digits | ( |  | ) | const
| inline

Definition at line 646 of file archive_options.hpp.

## ◆ get_slice_permission()

const std::string & libdar::archive_options_create::get_slice_permission | ( |  | ) | const
| inline

Definition at line 636 of file archive_options.hpp.

## ◆ get_slice_size()

const infinint & libdar::archive_options_create::get_slice_size | ( |  | ) | const
| inline

Definition at line 612 of file archive_options.hpp.

## ◆ get_slice_user_ownership()

const std::string & libdar::archive_options_create::get_slice_user_ownership | ( |  | ) | const
| inline

Definition at line 637 of file archive_options.hpp.

## ◆ get_snapshot()

bool libdar::archive_options_create::get_snapshot | ( |  | ) | const
| inline

Definition at line 633 of file archive_options.hpp.

## ◆ get_sparse_file_min_size()

infinint libdar::archive_options_create::get_sparse_file_min_size | ( |  | ) | const
| inline

Definition at line 642 of file archive_options.hpp.

## ◆ get_subtree()

const mask & libdar::archive_options_create::get_subtree | ( |  | ) | const
| inline

Definition at line 599 of file archive_options.hpp.

## ◆ get_user_comment()

const std::string & libdar::archive_options_create::get_user_comment | ( |  | ) | const
| inline

Definition at line 644 of file archive_options.hpp.

## ◆ get_warn_over()

bool libdar::archive_options_create::get_warn_over | ( |  | ) | const
| inline

Definition at line 601 of file archive_options.hpp.

## ◆ operator=() [1/2]

archive_options_create & libdar::archive_options_create::operator= | ( | archive_options_create && | ref | ) |
| inline noexcept

Definition at line 296 of file archive_options.hpp.

## ◆ operator=() [2/2]

archive_options_create & libdar::archive_options_create::operator= | ( | const archive_options_create & | ref | ) |
| inline

Definition at line 295 of file archive_options.hpp.

## ◆ set_allow_over()

void libdar::archive_options_create::set_allow_over | ( | bool | allow_over | ) |
| inline

defines whether overwritting is allowed or not

Definition at line 328 of file archive_options.hpp.

## ◆ set_alter_atime()

void libdar::archive_options_create::set_alter_atime | ( | bool | alter_atime | ) |
| inline

whether to alter atime or ctime in the filesystem when reading files to save

Parameters

  [in] | alter_atime | whether to change atime (true) or ctime (false)

Note
  this parameter is used only when furtive_read_mode() is not activated

Definition at line 462 of file archive_options.hpp.

References x_old_alter_atime.

## ◆ set_auto_zeroing_neg_dates()

void libdar::archive_options_create::set_auto_zeroing_neg_dates | ( | bool | val | ) |
| inline

whether to automatically zeroing negative dates read from the filesystem (just warn, don't ask whether to pursue)

Definition at line 572 of file archive_options.hpp.

## ◆ set_cache_directory_tagging()

void libdar::archive_options_create::set_cache_directory_tagging | ( | bool | cache_directory_tagging | ) |
| inline

whether to consider the Cache Directory Tagging Standard

Definition at line 493 of file archive_options.hpp.

## ◆ set_compression()

void libdar::archive_options_create::set_compression | ( | compression | compr_algo | ) |
| inline

set the compression algorithm to be used

Definition at line 360 of file archive_options.hpp.

## ◆ set_compression_block_size()

void libdar::archive_options_create::set_compression_block_size | ( | U_I | compression_block_size | ) |
| inline

set the compression block size

Parameters

  [in] | compression_block_size | if set to zero (which is the default value) compression is performed without block in one single stream per file. This is the historical way used by libdar, it gives the best result and the lowest compute overhead, though it cannot be parallelized. At the opposite using compression per block reduce the compression ratio but allows the block to be compressed/decompressed in parallel and thus leverage multi-core systems. When the block size increase you tend to the same compression ratio as compression ration without block

Definition at line 375 of file archive_options.hpp.

## ◆ set_compression_level()

void libdar::archive_options_create::set_compression_level | ( | U_I | compression_level | ) |
| inline

set the compression level (from 1 to 9)

Definition at line 363 of file archive_options.hpp.

## ◆ set_crypto_algo()

void libdar::archive_options_create::set_crypto_algo | ( | crypto_algo | crypto | ) |
| inline

set the cypher to use

Definition at line 409 of file archive_options.hpp.

## ◆ set_crypto_pass()

void libdar::archive_options_create::set_crypto_pass | ( | const secu_string & | pass | ) |
| inline

set the pass the password / passphrase to use. Giving an empty string makes the password asked interactively through the dialog argument if encryption has been set.

Definition at line 413 of file archive_options.hpp.

## ◆ set_crypto_size()

void libdar::archive_options_create::set_crypto_size | ( | U_32 | crypto_size | ) |
| inline

set the size of the encryption by block to use

Definition at line 416 of file archive_options.hpp.

## ◆ set_delta_diff()

void libdar::archive_options_create::set_delta_diff | ( | bool | val | ) |
| inline

whether binary delta has to be computed for differential/incremental backup

Note
  this requires delta signature to be present in the archive of reference

Definition at line 558 of file archive_options.hpp.

References libdar::compile_time::librsync().

## ◆ set_delta_sig_min_size()

void libdar::archive_options_create::set_delta_sig_min_size | ( | const infinint & | val | ) |
| inline

whether to never calculate delta signature for files which size is smaller or equal to the given argument

Note
  by default a min size of 10 kiB is used

Definition at line 569 of file archive_options.hpp.

## ◆ set_delta_signature()

void libdar::archive_options_create::set_delta_signature | ( | bool | val | ) |
| inline

whether signature to base binary delta on the future has to be calculated and stored beside saved files

Definition at line 561 of file archive_options.hpp.

## ◆ set_display_finished()

void libdar::archive_options_create::set_display_finished | ( | bool | display_finished | ) |
| inline

whether to display a summary for each completed directory with total saved data and compression ratio

Definition at line 351 of file archive_options.hpp.

## ◆ set_display_skipped()

void libdar::archive_options_create::set_display_skipped | ( | bool | display_skipped | ) |
| inline

whether to display files that have been excluded by filters

Definition at line 348 of file archive_options.hpp.

## ◆ set_display_treated()

void libdar::archive_options_create::set_display_treated | ( | bool | display_treated,
|  | bool | only_dir )
| inline

defines whether to show treated files

Parameters

  [in] | display_treated | true to display processed inodes
  [in] | only_dir | only display the current directory under process, not its individual files

Definition at line 345 of file archive_options.hpp.

## ◆ set_empty()

void libdar::archive_options_create::set_empty | ( | bool | empty | ) |
| inline

whether to make a dry-run operation

Definition at line 456 of file archive_options.hpp.

## ◆ set_empty_dir()

void libdar::archive_options_create::set_empty_dir | ( | bool | empty_dir | ) |
| inline

defines whether we need to store ignored directories as empty

Definition at line 357 of file archive_options.hpp.

## ◆ set_entrepot()

void libdar::archive_options_create::set_entrepot | ( | const std::shared_ptr< entrepot > & | entr | ) |
| inline

defines the protocol to use for slices

Definition at line 538 of file archive_options.hpp.

## ◆ set_exclude_by_ea()

void libdar::archive_options_create::set_exclude_by_ea | ( | const std::string & | ea_name | ) |
| inline

defines whether to ignore files having a given EA

Note
  if ea_name is set to "" the default ea_name "user.libdar_no_backup" is used.

Definition at line 446 of file archive_options.hpp.

## ◆ set_execute()

void libdar::archive_options_create::set_execute | ( | const std::string & | execute | ) |
| inline

set the command to execute after each slice creation

several macros are available:

- %n : the number of the just created slice
- %N : the slice number with padded zeros according to slice_min_digits given option
- %b : the archive basename
- %p : the slices path
- %e : the archive extension (usually "dar")
- %c : the archive context ("init", "operation" or "last_slice") see dar(1) man page for more details
- %%% : substitued by %%

Definition at line 406 of file archive_options.hpp.

## ◆ set_fixed_date()

void libdar::archive_options_create::set_fixed_date | ( | const infinint & | fixed_date | ) |
| inline

whether to ignore any archive of reference and only save file which modification is more recent that the given "fixed_date". To not use this feature set fixed_date value of zero (which is the value by default)

Definition at line 496 of file archive_options.hpp.

## ◆ set_fsa_scope()

void libdar::archive_options_create::set_fsa_scope | ( | const fsa_scope & | scope | ) |
| inline

defines the FSA (Filesystem Specific Attribute) to only consider (by default all FSA activated at compilation time are considered)

Definition at line 541 of file archive_options.hpp.

## ◆ set_gnupg_recipients()

void libdar::archive_options_create::set_gnupg_recipients | ( | const std::vector< std::string > & | gnupg_recipients | ) |
| inline

set the list of recipients that will be able to read the archive

Note
  this is based on GnuPG keyring and assumes the user running libdar has its keyring containing for each recipient a valid public key. If a list of recipient is given the crypto_pass (see above) is not used, but the crypto_algo stays used to encrypt the archive using a randomly generated key which is encrypted using the public keys of the recipients and dropped that way encrypted inside the archive.
  if crypto_algo is not set while a list of recipient is given, the crypto algo will default to blowfish
  since release 2.7.0 if a given std::string in the list contains an '@' the string is assumed to be an email and search is done in the keyring for that field type, else it is assumed to be a keyid.

Definition at line 427 of file archive_options.hpp.

## ◆ set_gnupg_signatories()

void libdar::archive_options_create::set_gnupg_signatories | ( | const std::vector< std::string > & | gnupg_signatories | ) |
| inline

the private keys matching the email or the keyid of the provided list are used to sign the archive random key

Note
  since release 2.7.0 if a given std::string in the list contains an '@' the string is assumed to be an email and search is done in the keyring for that field type, else it is assumed to be a keyid.

Definition at line 433 of file archive_options.hpp.

## ◆ set_hash_algo()

void libdar::archive_options_create::set_hash_algo | ( | hash_algo | hash | ) |

specify whether to produce a hash file of the slice and which hash algo to use

Note
  the libdar::hash_algo data type is defined in hash_fichier.hpp, valid values are for examle libdar::hash_none, libdar::hash_md5, libdar::hash_sha1, libdar::hash_sha512...

## ◆ set_hourshift()

void libdar::archive_options_create::set_hourshift | ( | const infinint & | hourshift | ) |
| inline

ignore differences of at most this integer number of hours while looking for changes in dates

Definition at line 453 of file archive_options.hpp.

## ◆ set_ignore_unknown_inode_type()

void libdar::archive_options_create::set_ignore_unknown_inode_type | ( | bool | val | ) |
| inline

whether to ignore unknown inode types instead of issuing a warning

Definition at line 535 of file archive_options.hpp.

## ◆ set_ignored_as_symlink()

void libdar::archive_options_create::set_ignored_as_symlink | ( | const std::set< std::string > & | list | ) |
| inline

provide a list of full path which if are symlinks will be considered as the inode they point to

Note
  this is espetially intended for use with symlinks pointing to directories to have dar recursing in such pointed to directory instead of just recording that directory

Definition at line 578 of file archive_options.hpp.

## ◆ set_info_details()

void libdar::archive_options_create::set_info_details | ( | bool | info_details | ) |
| inline

defines whether the user needs detailed output of the operation

Note
  in API 5.5.x and before this switch drove the displaying of processing messages and treated files. now it only drives the display of processing messages, use set_display_treated to define whether files under treatement should be display or not

Definition at line 339 of file archive_options.hpp.

## ◆ set_iteration_count()

void libdar::archive_options_create::set_iteration_count | ( | const infinint & | val | ) |
| inline

key derivation

Definition at line 585 of file archive_options.hpp.

## ◆ set_kdf_hash()

void libdar::archive_options_create::set_kdf_hash | ( | hash_algo | algo | ) |
| inline

hash algo used for key derivation

Definition at line 588 of file archive_options.hpp.

## ◆ set_min_compr_size()

void libdar::archive_options_create::set_min_compr_size | ( | const infinint & | min_compr_size | ) |
| inline

defines file size under which to never compress

Definition at line 439 of file archive_options.hpp.

## ◆ set_modified_data_detection()

void libdar::archive_options_create::set_modified_data_detection | ( | modified_data_detection | val | ) |
| inline

defines when to resave a file's data which inode metadata changed

Definition at line 582 of file archive_options.hpp.

## ◆ set_multi_threaded()

void libdar::archive_options_create::set_multi_threaded | ( | bool | val | ) |
| inline

whether libdar is allowed to spawn several threads to possibily work faster on multicore CPU (requires libthreadar)

Deprecated
  this call is deprecated, see set_multi_threaded_*() more specific calls

Note
  setting this to true is equivalent to calling set_mutli_threaded_crypto(2)

Definition at line 547 of file archive_options.hpp.

## ◆ set_multi_threaded_compress()

void libdar::archive_options_create::set_multi_threaded_compress | ( | U_I | num | ) |
| inline

how much thread libdar will use for compression (need libthreadar too and compression_block_size > 0)

Definition at line 553 of file archive_options.hpp.

## ◆ set_multi_threaded_crypto()

void libdar::archive_options_create::set_multi_threaded_crypto | ( | U_I | num | ) |
| inline

how much thread libdar will use for cryptography (need libthreadar to be effective)

Definition at line 550 of file archive_options.hpp.

## ◆ set_nodump()

void libdar::archive_options_create::set_nodump | ( | bool | nodump | ) |
| inline

defines whether to ignore files with the nodump flag set

Definition at line 442 of file archive_options.hpp.

## ◆ set_pause()

void libdar::archive_options_create::set_pause | ( | const infinint & | pause | ) |
| inline

set a pause beteween slices. Set to zero does not pause at all, set to 1 makes libdar pauses each slice, set to 2 makes libdar pause each 2 slices and so on.

Definition at line 354 of file archive_options.hpp.

## ◆ set_reference()

void libdar::archive_options_create::set_reference | ( | std::shared_ptr< archive > | ref_arch | ) |
| inline

set the archive to take as reference (nullptr for a full backup)

Definition at line 311 of file archive_options.hpp.

References x_ref_arch.

## ◆ set_retry_on_change()

void libdar::archive_options_create::set_retry_on_change | ( | const infinint & | count_max_per_file,
|  | const infinint & | global_max_byte_overhead = 0 )
| inline

how much time to retry saving a file if it changed while being read

Definition at line 508 of file archive_options.hpp.

## ◆ set_same_fs()

void libdar::archive_options_create::set_same_fs | ( | bool | same_fs | ) |
| inline

whether to limit the backup to files located on the same filesystem as the directory taken as root of the backup

Note
  if using this method, all value set using set_same_fs_include and set_same_fs_exclude so far are forgotten and ignored.

Definition at line 477 of file archive_options.hpp.

## ◆ set_same_fs_exclude()

void libdar::archive_options_create::set_same_fs_exclude | ( | const std::string & | excluded_path_to_fs | ) |
| inline

files on the filesystem pointed to by the given path will not be considered for backup operation

Note
  if using this method any previous call to the legacy set_same_fs(bool) invocation is ignored

Definition at line 487 of file archive_options.hpp.

## ◆ set_same_fs_include()

void libdar::archive_options_create::set_same_fs_include | ( | const std::string & | included_path_to_fs | ) |
| inline

files on the filesystem pointed to by the given path will be considered for the backup operation if not excluded by set_same_fs_exclude()

Note
  if using this method any previous call to the legacy set_same_fs(bool) invocation is ignored

Definition at line 482 of file archive_options.hpp.

## ◆ set_security_check()

void libdar::archive_options_create::set_security_check | ( | bool | check | ) |
| inline

whether to check for ctime changes since with the archive of reference

Definition at line 517 of file archive_options.hpp.

## ◆ set_sequential_marks()

void libdar::archive_options_create::set_sequential_marks | ( | bool | sequential | ) |
| inline

whether to add escape sequence aka tape marks to allow sequential reading of the archive

Definition at line 511 of file archive_options.hpp.

## ◆ set_sig_block_len()

void libdar::archive_options_create::set_sig_block_len | ( | delta_sig_block_size | val | ) |
| inline

block size to use to build delta signatures

Definition at line 591 of file archive_options.hpp.

References libdar::delta_sig_block_size::check().

## ◆ set_slice_group_ownership()

void libdar::archive_options_create::set_slice_group_ownership | ( | const std::string & | slice_group_ownership | ) |
| inline

if not an empty string set the group ownership of slices accordingly

Definition at line 505 of file archive_options.hpp.

## ◆ set_slice_min_digits()

void libdar::archive_options_create::set_slice_min_digits | ( | infinint | val | ) |
| inline

defines the minimum digit a slice must have concerning its number, zeros will be prepended as much as necessary to respect this

Definition at line 529 of file archive_options.hpp.

## ◆ set_slice_permission()

void libdar::archive_options_create::set_slice_permission | ( | const std::string & | slice_permission | ) |
| inline

if not an empty string set the slice permission according to the octal value given.

Definition at line 499 of file archive_options.hpp.

## ◆ set_slice_user_ownership()

void libdar::archive_options_create::set_slice_user_ownership | ( | const std::string & | slice_user_ownership | ) |
| inline

if not an empty string set the user ownership of slices accordingly

Definition at line 502 of file archive_options.hpp.

## ◆ set_slicing()

void libdar::archive_options_create::set_slicing | ( | const infinint & | file_size,
|  | const infinint & | first_file_size = 0 )
| inline

define the archive slicing

Parameters

  [in] | file_size | set the slice size in byte (0 for a single slice whatever its size is)
  [in] | first_file_size | set the first file size

Note
  if not specified or set to zero, first_file_size is considered equal to file_size

Definition at line 382 of file archive_options.hpp.

## ◆ set_snapshot()

void libdar::archive_options_create::set_snapshot | ( | bool | snapshot | ) |
| inline

whether to make an emtpy archive only referencing the current state of files in the filesystem

Definition at line 490 of file archive_options.hpp.

## ◆ set_sparse_file_min_size()

void libdar::archive_options_create::set_sparse_file_min_size | ( | const infinint & | size | ) |
| inline

whether to try to detect sparse files

Definition at line 514 of file archive_options.hpp.

## ◆ set_subtree()

void libdar::archive_options_create::set_subtree | ( | const mask & | subtree | ) |

defines the directories and files to consider

Note
  WARNING: this mask will be applied to the absolute path of files being proceeded. We speak here about the root of the filesystem under which the fs_root directory contains the files to backup. This is independent from the fs_root argument of class archive constructor which objective is to reduce the perimeter of the backup. The subtree filters do not compare only to the path inside the fs_root directory but to the full path, including the fs_root directory. In other words, if the subtree mask do not accept anything under fs_root path, the resulting backup will be empty.

## ◆ set_user_comment()

void libdar::archive_options_create::set_user_comment | ( | const std::string & | comment | ) |
| inline

specify a user comment in the archive (always in clear text!)

Definition at line 520 of file archive_options.hpp.

## ◆ set_warn_over()

void libdar::archive_options_create::set_warn_over | ( | bool | warn_over | ) |
| inline

defines whether a warning shall be issued before overwriting

Definition at line 331 of file archive_options.hpp.

## ◆ set_what_to_check()

void libdar::archive_options_create::set_what_to_check | ( | comparison_fields | what_to_check | ) |
| inline

set the fields to consider when comparing inodes with reference archive (see comparison_fields enumeration in catalogue.hpp)

Definition at line 450 of file archive_options.hpp.

## Member Data Documentation

## ◆ exclude_by_ea

std::string libdar::archive_options_create::exclude_by_ea
| private

Definition at line 694 of file archive_options.hpp.

## ◆ has_delta_mask_been_set

bool libdar::archive_options_create::has_delta_mask_been_set
| private

Definition at line 728 of file archive_options.hpp.

## ◆ x_allow_over

bool libdar::archive_options_create::x_allow_over
| private

Definition at line 670 of file archive_options.hpp.

## ◆ x_alter_atime

bool libdar::archive_options_create::x_alter_atime
| private

Definition at line 698 of file archive_options.hpp.

## ◆ x_auto_zeroing_neg_dates

bool libdar::archive_options_create::x_auto_zeroing_neg_dates
| private

Definition at line 730 of file archive_options.hpp.

## ◆ x_backup_hook_file_execute

std::string libdar::archive_options_create::x_backup_hook_file_execute
| private

Definition at line 719 of file archive_options.hpp.

## ◆ x_backup_hook_file_mask

mask* libdar::archive_options_create::x_backup_hook_file_mask
| private

Definition at line 718 of file archive_options.hpp.

## ◆ x_cache_directory_tagging

bool libdar::archive_options_create::x_cache_directory_tagging
| private

Definition at line 705 of file archive_options.hpp.

## ◆ x_compr_algo

compression libdar::archive_options_create::x_compr_algo
| private

Definition at line 679 of file archive_options.hpp.

## ◆ x_compr_mask

mask* libdar::archive_options_create::x_compr_mask
| private

points to a local copy of mask (must be allocated / releases by the archive_option_create objects)

Definition at line 691 of file archive_options.hpp.

## ◆ x_compression_block_size

U_I libdar::archive_options_create::x_compression_block_size
| private

Definition at line 681 of file archive_options.hpp.

## ◆ x_compression_level

U_I libdar::archive_options_create::x_compression_level
| private

Definition at line 680 of file archive_options.hpp.

## ◆ x_crypto

crypto_algo libdar::archive_options_create::x_crypto
| private

Definition at line 686 of file archive_options.hpp.

## ◆ x_crypto_size

U_32 libdar::archive_options_create::x_crypto_size
| private

Definition at line 688 of file archive_options.hpp.

## ◆ x_delta_diff

bool libdar::archive_options_create::x_delta_diff
| private

Definition at line 725 of file archive_options.hpp.

## ◆ x_delta_mask

mask* libdar::archive_options_create::x_delta_mask
| private

Definition at line 727 of file archive_options.hpp.

## ◆ x_delta_sig_min_size

infinint libdar::archive_options_create::x_delta_sig_min_size
| private

Definition at line 729 of file archive_options.hpp.

## ◆ x_delta_signature

bool libdar::archive_options_create::x_delta_signature
| private

Definition at line 726 of file archive_options.hpp.

## ◆ x_display_finished

bool libdar::archive_options_create::x_display_finished
| private

Definition at line 676 of file archive_options.hpp.

## ◆ x_display_skipped

bool libdar::archive_options_create::x_display_skipped
| private

Definition at line 675 of file archive_options.hpp.

## ◆ x_display_treated

bool libdar::archive_options_create::x_display_treated
| private

Definition at line 673 of file archive_options.hpp.

## ◆ x_display_treated_only_dir

bool libdar::archive_options_create::x_display_treated_only_dir
| private

Definition at line 674 of file archive_options.hpp.

## ◆ x_ea_mask

mask* libdar::archive_options_create::x_ea_mask
| private

points to a local copy of mask (must be allocated / releases by the archive_option_create objects)

Definition at line 684 of file archive_options.hpp.

## ◆ x_empty

bool libdar::archive_options_create::x_empty
| private

Definition at line 697 of file archive_options.hpp.

## ◆ x_empty_dir

bool libdar::archive_options_create::x_empty_dir
| private

Definition at line 678 of file archive_options.hpp.

## ◆ x_entrepot

std::shared_ptr<entrepot> libdar::archive_options_create::x_entrepot
| private

Definition at line 721 of file archive_options.hpp.

## ◆ x_execute

std::string libdar::archive_options_create::x_execute
| private

Definition at line 685 of file archive_options.hpp.

## ◆ x_file_size

infinint libdar::archive_options_create::x_file_size
| private

Definition at line 682 of file archive_options.hpp.

## ◆ x_first_file_size

infinint libdar::archive_options_create::x_first_file_size
| private

Definition at line 683 of file archive_options.hpp.

## ◆ x_fixed_date

infinint libdar::archive_options_create::x_fixed_date
| private

Definition at line 706 of file archive_options.hpp.

## ◆ x_furtive_read

bool libdar::archive_options_create::x_furtive_read
| private

Definition at line 700 of file archive_options.hpp.

## ◆ x_gnupg_recipients

std::vector<std::string> libdar::archive_options_create::x_gnupg_recipients
| private

Definition at line 689 of file archive_options.hpp.

## ◆ x_gnupg_signatories

std::vector<std::string> libdar::archive_options_create::x_gnupg_signatories
| private

Definition at line 690 of file archive_options.hpp.

## ◆ x_hash

hash_algo libdar::archive_options_create::x_hash
| private

Definition at line 716 of file archive_options.hpp.

## ◆ x_hourshift

infinint libdar::archive_options_create::x_hourshift
| private

Definition at line 696 of file archive_options.hpp.

## ◆ x_ignore_unknown

bool libdar::archive_options_create::x_ignore_unknown
| private

Definition at line 720 of file archive_options.hpp.

## ◆ x_ignored_as_symlink

std::set<std::string> libdar::archive_options_create::x_ignored_as_symlink
| private

Definition at line 731 of file archive_options.hpp.

## ◆ x_info_details

bool libdar::archive_options_create::x_info_details
| private

Definition at line 672 of file archive_options.hpp.

## ◆ x_iteration_count

infinint libdar::archive_options_create::x_iteration_count
| private

Definition at line 733 of file archive_options.hpp.

## ◆ x_kdf_hash

hash_algo libdar::archive_options_create::x_kdf_hash
| private

Definition at line 734 of file archive_options.hpp.

## ◆ x_min_compr_size

infinint libdar::archive_options_create::x_min_compr_size
| private

Definition at line 692 of file archive_options.hpp.

## ◆ x_modified_data_detection

modified_data_detection libdar::archive_options_create::x_modified_data_detection
| private

Definition at line 732 of file archive_options.hpp.

## ◆ x_multi_threaded_compress

U_I libdar::archive_options_create::x_multi_threaded_compress
| private

Definition at line 724 of file archive_options.hpp.

## ◆ x_multi_threaded_crypto

U_I libdar::archive_options_create::x_multi_threaded_crypto
| private

Definition at line 723 of file archive_options.hpp.

## ◆ x_nodump

bool libdar::archive_options_create::x_nodump
| private

Definition at line 693 of file archive_options.hpp.

## ◆ x_old_alter_atime

bool libdar::archive_options_create::x_old_alter_atime
| private

used to backup origina alter_atime value when activating furtive read mode

Definition at line 699 of file archive_options.hpp.

Referenced by set_alter_atime().

## ◆ x_pass

secu_string libdar::archive_options_create::x_pass
| private

Definition at line 687 of file archive_options.hpp.

## ◆ x_pause

infinint libdar::archive_options_create::x_pause
| private

Definition at line 677 of file archive_options.hpp.

## ◆ x_ref_arch

std::shared_ptr<archive> libdar::archive_options_create::x_ref_arch
| private

just contains the address of an existing object, no local copy of object is done here

Definition at line 667 of file archive_options.hpp.

Referenced by set_reference().

## ◆ x_repeat_byte

infinint libdar::archive_options_create::x_repeat_byte
| private

Definition at line 711 of file archive_options.hpp.

## ◆ x_repeat_count

infinint libdar::archive_options_create::x_repeat_count
| private

Definition at line 710 of file archive_options.hpp.

## ◆ x_same_fs

bool libdar::archive_options_create::x_same_fs
| private

Definition at line 701 of file archive_options.hpp.

## ◆ x_same_fs_exclude

std::deque<std::string> libdar::archive_options_create::x_same_fs_exclude
| private

Definition at line 703 of file archive_options.hpp.

## ◆ x_same_fs_include

std::deque<std::string> libdar::archive_options_create::x_same_fs_include
| private

Definition at line 702 of file archive_options.hpp.

## ◆ x_scope

fsa_scope libdar::archive_options_create::x_scope
| private

Definition at line 722 of file archive_options.hpp.

## ◆ x_security_check

bool libdar::archive_options_create::x_security_check
| private

Definition at line 714 of file archive_options.hpp.

## ◆ x_selection

mask* libdar::archive_options_create::x_selection
| private

points to a local copy of mask (must be allocated / releases by the archive_option_create object)

Definition at line 668 of file archive_options.hpp.

## ◆ x_sequential_marks

bool libdar::archive_options_create::x_sequential_marks
| private

Definition at line 712 of file archive_options.hpp.

## ◆ x_sig_block_len

delta_sig_block_size libdar::archive_options_create::x_sig_block_len
| private

Definition at line 735 of file archive_options.hpp.

## ◆ x_slice_group_ownership

std::string libdar::archive_options_create::x_slice_group_ownership
| private

Definition at line 709 of file archive_options.hpp.

## ◆ x_slice_min_digits

infinint libdar::archive_options_create::x_slice_min_digits
| private

Definition at line 717 of file archive_options.hpp.

## ◆ x_slice_permission

std::string libdar::archive_options_create::x_slice_permission
| private

Definition at line 707 of file archive_options.hpp.

## ◆ x_slice_user_ownership

std::string libdar::archive_options_create::x_slice_user_ownership
| private

Definition at line 708 of file archive_options.hpp.

## ◆ x_snapshot

bool libdar::archive_options_create::x_snapshot
| private

Definition at line 704 of file archive_options.hpp.

## ◆ x_sparse_file_min_size

infinint libdar::archive_options_create::x_sparse_file_min_size
| private

Definition at line 713 of file archive_options.hpp.

## ◆ x_subtree

mask* libdar::archive_options_create::x_subtree
| private

points to a local copy of mask (must be allocated / releases by the archive_option_create objects)

Definition at line 669 of file archive_options.hpp.

## ◆ x_user_comment

std::string libdar::archive_options_create::x_user_comment
| private

Definition at line 715 of file archive_options.hpp.

## ◆ x_warn_over

bool libdar::archive_options_create::x_warn_over
| private

Definition at line 671 of file archive_options.hpp.

## ◆ x_what_to_check

comparison_fields libdar::archive_options_create::x_what_to_check
| private

Definition at line 695 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp